Bug 245682 - RFE - suppress dynamic linker relocation noise
Summary: RFE - suppress dynamic linker relocation noise
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: valgrind   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-26 02:31 UTC by Ralph Loader
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 3.2.3-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 16:43:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralph Loader 2007-06-26 02:31:23 UTC
Currently (both fc7 and devel), valgrind is getting quite a bit of noise from
the dynamic linker.  'valgrind ls' gives lots of reports like:


==25539== Conditional jump or move depends on uninitialised value(s)
==25539==    at 0x400ABE3: _dl_relocate_object (in /lib/ld-2.6.so)
==25539==    by 0x4003A84: dl_main (in /lib/ld-2.6.so)
==25539==    by 0x4013F6A: _dl_sysdep_start (in /lib/ld-2.6.so)
==25539==    by 0x40012B7: _dl_start (in /lib/ld-2.6.so)
==25539==    by 0x4000816: (within /lib/ld-2.6.so)
==25539== 


I believe that these are false positives (on the grounds that my system has not
fallen over in a screaming heap).

Could we include suppressions for these by default?  If distros suppress noise
from system libraries, then valgrind users don't need to maintain their own
system & version specific suppression files.


PS.  Here is valgrind suppression for that error:

# Uninitialised in _dl_relocate_object.
{
   DlRelocate
   Memcheck:Cond
   fun:_dl_relocate_object
}

Comment 1 Jakub Jelinek 2007-06-27 19:38:30 UTC
Please try valgrind-3.2.3-3 from rawhide tomorrow, if that works, I'll release
it for F7 as well in a few days.

Comment 2 Ralph Loader 2007-07-02 05:01:11 UTC
All looks good to me with latest rawhide version.

Thanks, R.

Comment 3 Ralph Loader 2007-07-12 21:30:10 UTC
Incidently, on Fedora Core 7 (but not rawhide), I'm also getting

==15644== Conditional jump or move depends on uninitialised value(s)
==15644==    at 0x4015793: strlen (in /lib/ld-2.6.so)
==15644==    by 0x4007C37: _dl_init_paths (in /lib/ld-2.6.so)
==15644==    by 0x400324E: dl_main (in /lib/ld-2.6.so)
==15644==    by 0x4013DCA: _dl_sysdep_start (in /lib/ld-2.6.so)
==15644==    by 0x40012B7: _dl_start (in /lib/ld-2.6.so)
==15644==    by 0x4000816: (within /lib/ld-2.6.so)

The fact that strlen() is involved is a little worrying.  Script to reproduce:

#!/bin/bash

export LD_LIBRARY_PATH=/a

for ((X=0; X!=100; ++X))
do
  LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/a$X
done

valgrind ls


Comment 4 Fedora Update System 2007-09-04 22:02:16 UTC
valgrind-3.2.3-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2007-09-12 16:43:19 UTC
valgrind-3.2.3-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.